View Issue Details

IDProjectCategoryView StatusLast Update
00031453 - Current Dev ListBugpublic2019-02-20 00:20
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version6.5.0.188 
Target VersionFixed in Version6.5.0.192 
Summary0003145: Enhance logging output of callsign lookup feature
DescriptionThe Callsign Lookup process is almost completely opaque. The user enters a callsign and initates a lookup. The lookup uses an elaborate set of rules to lookup an collect information about the contacted station, and that information is entered into the logbook record.

Users might be surprised or disappointed in the results of the lookup operation. There's no way to see what the operation did, other than its completed results.

The product should be enhanced to help users understand what's hapened, and help them and support diagnose problems. Logging will also help correctness verification and testing.
Steps To ReproduceThe callsign lookup feature should be enhanced to add progress and diagnostic information to the logfile.

The feature should always log its steps and some timing: "Lookup of K7ZCZ at QRZ.com returned failure in 0.750 seconds", for example. This message can be shown in order for each data source visited, including the internal Logbook and country databases.

When "Debug" is enabled in the logifle view, the callsign lookup option should show details of each field and value retrieved from each data source as it goes. As a very simple example (with only a couple fields), this output is offered:

Lookup of K7ZCZ at QRZ.com returned failure in 0.750 seconds
Lookup of K7ZCZ in Logbook returned success in 1.115 seconds
Lookup K7ZCZ in Logbook: Country == "USA"
Lookup K7ZCZ in Logbook: Name = "Mike Blaszczak"
Lookup K7ZCZ in Logbook: QTH = "Mercer Island"
Lookup of K7ZCZ in Hamcall returned success in 0.990 seconds
Lookup K7ZCZ in Hamcall: Country == "USA" ignored, already popultaed
Lookup K7ZCZ in Hamcall: Address1 == "500 Main Street"
Lookup K7ZCZ in Hamcall: Name == "Mike Blaszczak" ignored, already popultaed
Lookup K7ZCZ in Hamcall: QTH == "Colorado Springs" ignored, already popultaed
Lookup of K7ZCZ completed with 3 data sources

TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

related to 0003001 newWA9PIE 3 - Current Dev List Callsign lookup function does not appear to be working as designed 
related to 0003130 feedbackPD9FER 1 - Backlog Logbook ALE lookup disregards position set in Callsign Lookup order 

Activities

K7ZCZ

2019-02-08 14:20

manager   ~0007330

fixed (at least, improved a lot) with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4816

WA9PIE

2019-02-20 00:20

administrator   ~0007449

Validated (awesome!)

Issue History

Date Modified Username Field Change
2019-02-01 09:34 K7ZCZ New Issue
2019-02-01 09:34 K7ZCZ Relationship added related to 0003001
2019-02-01 15:48 K7ZCZ Relationship added related to 0003130
2019-02-08 14:20 K7ZCZ Assigned To => K7ZCZ
2019-02-08 14:20 K7ZCZ Status new => resolved
2019-02-08 14:20 K7ZCZ Resolution open => fixed
2019-02-08 14:20 K7ZCZ Note Added: 0007330
2019-02-13 07:59 K7ZCZ Fixed in Version => 6.5.0.192
2019-02-20 00:20 WA9PIE Status resolved => closed
2019-02-20 00:20 WA9PIE Description Updated View Revisions
2019-02-20 00:20 WA9PIE Steps to Reproduce Updated View Revisions
2019-02-20 00:20 WA9PIE Testing Not Started => Beta Successful
2019-02-20 00:20 WA9PIE Note Added: 0007449